'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const configFragment = {
  imports: [`import routes from './routes'`],
  values: {
    router: {
      routes: {
        default: 'routes',
        example: 'routes',
        required: true,
        comment: 'Your routes definition'
      }
    }
  }
};

const clientImportFragment = `import { Router, browserHistory } from 'react-router'`;

const routerFragment = (routeComponent, history) => `
  const ${history} = browserHistory
  const ${routeComponent} = <Router routes={config.router.routes} history={${history}} />`;

exports.configFragment = configFragment;
exports.clientImportFragment = clientImportFragment;
exports.routerFragment = routerFragment;
//# sourceMappingURL=react-router-v3.js.map