'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.router = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const routerFn = (req, config) => {
  return new Promise((resolve, reject) => {
    (0, _reactRouter.match)({ routes: config.router.routes, location: req.url }, (err, redirectLocation, renderProps) => {
      if (err) {
        return reject(err);
      }
      const routeComponent = renderProps ? _react2.default.createElement(_reactRouter.RouterContext, renderProps) : null;
      resolve({
        redirectLocation,
        route: renderProps,
        routeComponent
      });
    });
  });
};

const router = {
  fn: routerFn
};

exports.router = router;
//# sourceMappingURL=react-router-v3.js.map