'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.afterRenders = exports.preRenders = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const preRendersFn = (req, renderComponent, state) => {
  const sheet = new _styledComponents.ServerStyleSheet();
  req.styledcomponents = { sheet };
  return _react2.default.createElement(
    _styledComponents.StyleSheetManager,
    { sheet: sheet.instance },
    renderComponent
  );
};

const afterRendersFn = (req, config, assets) => {
  const styleTags = req.styledcomponents.sheet.getStyleTags();
  return { head: { style: styleTags } };
};

const preRenders = {
  fn: preRendersFn
};

const afterRenders = {
  fn: afterRendersFn
};

exports.preRenders = preRenders;
exports.afterRenders = afterRenders;
//# sourceMappingURL=styled-components.js.map